/******************************************************************************/
/* Files to Include                                                           */
/******************************************************************************/

#if defined(__XC)
#include <xc.h>         /* XC8 General Include File */
#elif defined(HI_TECH_C)
#include <htc.h>        /* HiTech General Include File */
#endif

#include <stdint.h>        /* For uint8_t definition */
#include <stdbool.h>       /* For true/false definition */

#include "system.h"        /* System funct/params, like osc/peripheral config */
#include "user.h"          /* User funct/params, such as InitApp */
#include "lcd.h"
#include "usart.h"
#include "gpio.h"

/******************************************************************************/
/* User Global Variable Declaration                                           */
/******************************************************************************/

uint8_t DATA_BUFFER[BUFFER_SIZE];
uint8_t DATA_OUT;
uint8_t DATA_INDEX = 0;
volatile uint8_t FOOBAR;
uint8_t X;
uint8_t Y;

char UART_BUFFER[UART_SIZE];
uint8_t UART_INDEX = 0;
/******************************************************************************/
/* Main Program                                                               */

/******************************************************************************/
void main(void) {
	/* Configure the oscillator for the device */
	ConfigureOscillator();

	/* Initialize I/O and Peripherals for application */
	InitApp();

	while (1) {
	}

}

